[target.thumbv6m-none-eabi]
runner = 'probe-rs run --chip STM32L053R8'

# [build]
# target = "thumbv6m-none-eabi"

[alias]
arun = "run --target thumbv6m-none-eabi"
abuild = "build --target thumbv6m-none-eabi"
atest = "test --target x86_64-unknown-linux-gnu"
abench = "bench --target x86_64-unknown-linux-gnu"
acheck = "check --target thumbv6m-none-eabi"
aclippy = "clippy --target thumbv6m-none-eabi"
cflash = "flash --chip STM32L053R8"

[env]
DEFMT_LOG = "trace" # sets the log level to trace
